Public Member Functions | Static Public Member Functions | List of all members
StarEncodingKorean Class Reference

the main class to read/. More...

`#include <StarEncodingKorean.hxx>`

## Public Member Functions
| StarEncodingKorean ()
| constructor
virtual | ~StarEncodingKorean ()
| destructor

## Static Public Member Functions
static bool | readKorean1 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: E_MS_949, E_EUC_KR, E_APPLE_KOREAN

## Detailed Description

the main class to read/.

. some Korean encoding in StarOffice documents

## Constructor & Destructor Documentation

## ◆ StarEncodingKorean()

StarEncodingKorean::StarEncodingKorean | ( |  | ) |

constructor

## ◆ ~StarEncodingKorean()

StarEncodingKorean::~StarEncodingKorean | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ readKorean1()

bool StarEncodingKorean::readKorean1 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest )
| static

try to read a caracter and add it to string: E_MS_949, E_EUC_KR, E_APPLE_KOREAN

Referenced by StarEncoding::read().

The documentation for this class was generated from the following files:

- StarEncodingKorean.hxx
- StarEncodingKorean.cxx